/* Dispatcher.c -- dispatcher for windows and for modeless dialogs */
/* Created 7/11/93 11:43 AM by AppMaker */

#include <Types.h>
#include <Quickdraw.h>
#include <Controls.h>
#include <Dialogs.h>
#include <Events.h>
#include <Lists.h>
#include <Menus.h>
#include <TextEdit.h>
#include "MainWindow.h"
#include "Globals.h"
#include "Dispatcher.h"

/*----------*/
void DoIdle (void)
{
	PerformSimpleAnimation();
} /*DoIdle*/

/*----------*/
void OpenWindows	(Str255			fName,
					 short			vRefNum,
					 short			fRefNum)
{

	OpenMainWindow (fName, vRefNum, fRefNum);
	
} /*OpenWindows*/

/*----------*/
void CloseCurWindow (void)
{
	switch (cur->windowKind) {
		case WMainWindow:
				CloseMainWindow ();
			break;
		
	} /*switch*/
} /*CloseCurWindow*/

/*----------*/
void DoControl 		(ControlHandle	whichControl,
					 short 			whichPart,
					 Point 			where)
{
	switch (cur->windowKind) {
		case WMainWindow:
				ControlMainWindow (whichControl, whichPart, where);
			break;
		
	} /*switch*/
} /*DoControl*/

/*----------*/
void MouseInContent	(Point		where,
					 short		modifiers)
{
	switch (cur->windowKind) {
		case WMainWindow:
				MouseInMainWindow (where, modifiers);
			break;
		
	} /*switch*/
} /*MouseInContent*/

/*----------*/
void TypeInWindow	(char	ch)
{
	switch (cur->windowKind) {
		case WMainWindow:
				TypeInMainWindow (ch);
			break;
		
	} /*switch*/
} /*TypeInWindow*/

/*----------*/
void UpdateContent (void)
{
	switch (cur->windowKind) {
		case WMainWindow:
				UpdateMainWindow ();
			break;
		
	} /*switch*/
} /*UpdateContent*/

/*----------*/
void ActivateContent (Boolean	activate)
{
	switch (cur->windowKind) {
		case WMainWindow:
				ActivateMainWindow (activate);
			break;
		
	} /*switch*/
} /*ActivateContent*/

/*----------*/
void ResizeContent (void)
{
	switch (cur->windowKind) {
		case WMainWindow:
				ResizeMainWindow ();
			break;
		
	} /*switch*/
} /*ResizeContent*/

/*----------*/
pascal void ScrollWindow	(short		newValue,
							 short		oldValue)
{
	switch (cur->windowKind) {
		case WMainWindow:
				ScrollMainWindow (newValue, oldValue);
			break;

	} /*switch*/
} /*ScrollWindow*/

/*----------*/
void InitModelessDialogs (void)
{
	
} /*InitModelessDialogs*/

/*----------*/
void CloseModelessDialog (DialogPtr		whichDialog)
{
	
} /*CloseModelessDialog*/

/*----------*/
Boolean FilterModeless	(DialogPtr		whichDialog,
						 EventRecord	*event,
						 short			*itemHit)
{
	
	return (false);
} /*FilterModeless*/

/*----------*/
void DoModelessItem		(DialogPtr		whichDialog,
						 short			itemNr)
{
	
} /*DoModelessItem*/

/* Dispatcher */
