/* Globals.h */
/* Created 7/8/93 2:33 PM by AppMaker */

#ifndef _H_Globals
#define _H_Globals

#ifndef __SPRITEWORLD__
#include <SpriteWorld.h>
#endif

#ifndef __SPRITELAYER__
#include <SpriteLayer.h>
#endif

#ifndef __SPRITE__
#include <Sprite.h>
#endif

#ifndef __FRAME__
#include <Frame.h>
#endif

#ifndef __SPRITEWORLDUTILS__
#include <SpriteWorldUtils.h>
#endif

#ifndef __APPLICATION__
#include "Application.h"
#endif

#ifndef __SIMPLE__
#include "Simple.h"
#endif


enum
{
	kSpriteCIconResID = 128,
	kNumberOfSpriteFrames = 1,
	kNumberOfSprites = 6,
	kSpriteMoveTime = 10,
	kHorizMoveDelta = 16,
	kVertMoveDelta = 16,
	kPixPatResID = 128,
	kMaxSpriteTime = 100
};


typedef struct {
	/* Standard fields: */
		TEHandle		text;
		ControlHandle	vScroll;
		ControlHandle	hScroll;
		short			fileNum;
		short			volNum;
		Boolean			dirty;
		StringHandle	filename;
		enum {noWindow, WMainWindow}	windowKind;
		Handle			witlHandle;		/* Window itemlist resource */
		Handle			wictHandle;		/* Window item color table resource */

	/* Application-specific fields: */
	/* for MainWindow: */
		int				moveSpeedArray[kNumberOfSprites];
		int				moveSpeed;
		short			SetAllSpeeds;


	/* SpriteWorld fields: */
		PixPatHandle 	pixPatH;
		SpriteWorldPtr	spriteWorldP;
		SpriteLayerPtr	spriteLayerP;
		SpritePtr		simpleSpriteArray[kNumberOfSprites];
		SpritePtr		simpleSpriteP;
		Rect			moveBoundsRect;
		short			spriteNum;
} WinInfoRec, *WinInfoPtr;

typedef struct {
	Boolean			hasGestalt;			/* has Gestalt manager	*/
	Boolean			hasWNE;				/* has WaitNextEvent	*/
	Boolean			hasColorQD;			/* has Color QuickDraw	*/
	Boolean			hasAppleEvents;		/* has Apple Events		*/
	Boolean			hasEditionMgr;		/* has Edition Manager	*/
} SysConfigRec;

/* Standard vars: */
extern Boolean			quittingTime;
extern EventRecord		curEvent;
extern WindowPtr		curWindow;
extern WinInfoPtr		cur;
extern Boolean			inBackground;
extern SysConfigRec		sysConfig;

/* Application-specific vars: */

/*----------*/
void	InitGlobals		(void);
void	SetInfo			(WindowPtr		window);
void	SetNewInfo		(WindowPtr		window);
void	DiscardInfo		(WindowPtr		window);

#endif	/* _H_Globals */

/* Globals */
